## ros-humble-rosidl-cmake 3.1.5

=== debian/changelog ===
ros-humble-rosidl-cmake (3.1.5-2bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-rosidl-cmake (3.1.4-2bookworm) bookworm; urgency=high

  * Protect rosidl_target_interfaces from using NOTFOUND in include_directories (#679 <https://github.com/ros2/rosidl/issues/679>) (#681 <https://github.com/ros2/rosidl/issues/681>)
  * Contributors: Jose Luis Rivero

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rosidl-cmake (3.1.3-2bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 07 Apr 2022 16:00:00 -0000

ros-humble-rosidl-cmake (3.1.2-2bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 04 Apr 2022 16:00:00 -0000

ros-humble-rosidl-cmake (3.1.1-2bookworm) bookworm; urgency=high

  * Make rosidl_get_typesupport_target return -NOTFOUND instead of FATAL_ERROR (#672 <https://github.com/ros2/rosidl/issues/672>)
  * Contributors: Shane Loretz

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 27 Mar 2022 16:00:00 -0000

ros-humble-rosidl-cmake (3.1.0-2bookworm) bookworm; urgency=high

  * Add introspection typesupport tests for C/C++ messages (#651 <https://github.com/ros2/rosidl/issues/651>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-rosidl-cmake (3.0.1-2bookworm) bookworm; urgency=high

  * Use target output name for exporting typesupport library (#625 <https://github.com/ros2/rosidl/issues/625>)
  * Contributors: Jonathan Selling

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 12 Jan 2022 16:00:00 -0000

ros-humble-rosidl-cmake (3.0.0-2bookworm) bookworm; urgency=high

  * Update package maintainers (#624 <https://github.com/ros2/rosidl/issues/624>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 04 Nov 2021 16:00:00 -0000

ros-humble-rosidl-cmake (2.5.0-2bookworm) bookworm; urgency=high

  * Revert "Bundle and ensure the exportation of rosidl generated targets" (#611 <https://github.com/ros2/rosidl/issues/611>)
  * Add rosidl_get_typesupport_target and deprecate rosidl_target_interfaces (#606 <https://github.com/ros2/rosidl/issues/606>)
  * Contributors: Michel Hidalgo, Shane Loretz

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 09 Aug 2021 16:00:00 -0000

ros-humble-rosidl-cmake (2.4.0-2bookworm) bookworm; urgency=high

  * Bundle and ensure the exportation of rosidl generated targets (#601 <https://github.com/ros2/rosidl/issues/601>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 11 Jul 2021 16:00:00 -0000

ros-humble-rosidl-cmake (2.3.0-2bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 10 Jun 2021 16:00:00 -0000

ros-humble-rosidl-cmake (2.2.1-2bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-rosidl-cmake (2.2.0-2bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 17 Mar 2021 16:00:00 -0000

ros-humble-rosidl-cmake (2.1.0-2bookworm) bookworm; urgency=high

  * Shorten some excessively long lines of CMake (#571 <https://github.com/ros2/rosidl/issues/571>)
  * Contributors: Scott K Logan

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 08 Mar 2021 16:00:00 -0000

ros-humble-rosidl-cmake (2.0.3-2bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-rosidl-cmake (2.0.2-2bookworm) bookworm; urgency=high

  * Update the maintainers of this repository. (#536 <https://github.com/ros2/rosidl/issues/536>)
  * Contributors: Chris Lalancette

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 07 Dec 2020 16:00:00 -0000

ros-humble-rosidl-cmake (2.0.1-2bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 27 Sep 2020 16:00:00 -0000

ros-humble-rosidl-cmake (2.0.0-2bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 23 Sep 2020 16:00:00 -0000

ros-humble-rosidl-cmake (1.1.0-2bookworm) bookworm; urgency=high

  * Modifications to python generator lib to return generated files (#511 <https://github.com/ros2/rosidl/issues/511>)
  * Contributors: Alex Tyshka

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 16 Aug 2020 16:00:00 -0000

ros-humble-rosidl-cmake (1.0.1-2bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 02 Jun 2020 16:00:00 -0000

ros-humble-rosidl-cmake (1.0.0-2bookworm) bookworm; urgency=high

  * Fix variable suffix in rosidl_export_typesupport_targets (#483 <https://github.com/ros2/rosidl/issues/483>)
  * Contributors: Ivan Santiago Paunovic

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 21 May 2020 16:00:00 -0000

ros-humble-rosidl-cmake (0.9.2-2bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 18 May 2020 16:00:00 -0000

ros-humble-rosidl-cmake (0.9.1-2bookworm) bookworm; urgency=high

  * use typesuport targets instead of libraries (#478 <https://github.com/ros2/rosidl/issues/478>)
  * Contributors: Dirk Thomas

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 07 May 2020 16:00:00 -0000

ros-humble-rosidl-cmake (0.9.0-2bookworm) bookworm; urgency=high

  * Use f-string (#436 <https://github.com/ros2/rosidl/issues/436>)
  * Contributors: Dirk Thomas

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 23 Apr 2020 16:00:00 -0000

ros-humble-rosidl-cmake (0.8.2-2bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 16 Jan 2020 16:00:00 -0000

ros-humble-rosidl-cmake (0.8.1-2bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 22 Oct 2019 16:00:00 -0000

ros-humble-rosidl-cmake (0.8.0-2bookworm) bookworm; urgency=high


