=== debian/control ===
Source: ros-humble-rosidl-cmake
Section: misc
Priority: optional
Maintainer: Michel Hidalgo <michel@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-python, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rosidl-cmake
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-empy, ros-humble-ament-cmake, ros-humble-rosidl-adapter, ros-humble-rosidl-parser, ros-humble-ros-workspace
Description: The CMake functionality to invoke code generation for ROS interface files.
